# operator==,!=,<,<=,>,>=(std::queue)

From cppreference.com
< cpp‎ | container‎ | queue

template< class T, class Container > bool operator==( queue<T,Container>& lhs, queue<T,Container>& rhs ); | (1) |
template< class T, class Container > bool operator!=( queue<T,Container>& lhs, queue<T,Container>& rhs ); | (2) |
template< class T, class Container > bool operator<( queue<T,Container>& lhs, queue<T,Container>& rhs ); | (3) |
template< class T, class Container > bool operator<=( queue<T,Container>& lhs, queue<T,Container>& rhs ); | (4) |
template< class T, class Container > bool operator>( queue<T,Container>& lhs, queue<T,Container>& rhs ); | (5) |
template< class T, class Container > bool operator>=( queue<T,Container>& lhs, queue<T,Container>& rhs ); | (6) |

Compares the contents of the underlying containers of two container adaptors. The comparison is done by applying the corresponding operator to the underlying containers.

### Parameters

lhs, rhs | - | container adaptors whose contents to compare
- `T` must meet the requirements of `EqualityComparable`.

### Return value

true if the corresponding comparison yields true, false otherwise.

### Complexity

Linear in the size of the container

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/queue/operator_cmp&oldid=50635"